Subject: bug#22669: loading term/xterm.elc loads cl-lib at runtime

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Feb 2016 21:55:59 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 15 Feb 2016 13:12:25 -0500
> 
> Eli Zaretskii wrote:
> 
> >> Loading term/xterm.elc loads cl-lib at runtime.
> >> This means that cl-lib is loaded at startup in "emacs -Q -nw", which is
> >> undesirable.
> >
> > Why is that undesirable?
> >
> > How is xterm.el different from any other package which requires
> > cl-lib?
> 
> This was explained in http://debbugs.gnu.org/22613#45

Sorry, I don't see any explanation there.  What I do see is the fact
that we treat lisp/term/* files specially.  I agree with that, since
these files are only loaded at startup when needed, so they are not
something "emacs -Q" "needs".

I also see there a suggestion to figure out why cl-lib gets loaded,
and I believe this part is now complete.

> Also in this particular case, it can create the mistaken impression that
> cl-lib is always available, which I think leads to some of the ongoing
> confusion in bug#22613.

OK, but that doesn't sound like a problem we need to fix in the code.

So my vote is not to fix this one.